更新远程配置
curl --request POST \
--url 'https://api.flashcat.cloud/rum/application/remote-config/update?app_key=' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "WoyQQ3BohkdtPivubEvE8o",
"config": {
"activation": "next_session",
"custom": {
"feature_flags": {
"checkout_v2": true
}
},
"default": {
"defaultPrivacyLevel": "mask-user-input",
"sessionReplaySampleRate": 20,
"sessionSampleRate": 100,
"traceSampleRate": 100
},
"enabled": true,
"refresh_on_foreground": false,
"rules": [
{
"match": {
"env": "production"
},
"set": {
"defaultPrivacyLevel": "mask",
"sessionReplaySampleRate": 0,
"sessionSampleRate": 5
}
}
]
},
"reason": "Q4 上线前收紧回放采样"
}
'import requests
url = "https://api.flashcat.cloud/rum/application/remote-config/update?app_key="
payload = {
"application_id": "WoyQQ3BohkdtPivubEvE8o",
"config": {
"activation": "next_session",
"custom": { "feature_flags": { "checkout_v2": True } },
"default": {
"defaultPrivacyLevel": "mask-user-input",
"sessionReplaySampleRate": 20,
"sessionSampleRate": 100,
"traceSampleRate": 100
},
"enabled": True,
"refresh_on_foreground": False,
"rules": [
{
"match": { "env": "production" },
"set": {
"defaultPrivacyLevel": "mask",
"sessionReplaySampleRate": 0,
"sessionSampleRate": 5
}
}
]
},
"reason": "Q4 上线前收紧回放采样"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
application_id: 'WoyQQ3BohkdtPivubEvE8o',
config: {
activation: 'next_session',
custom: {feature_flags: {checkout_v2: true}},
default: {
defaultPrivacyLevel: 'mask-user-input',
sessionReplaySampleRate: 20,
sessionSampleRate: 100,
traceSampleRate: 100
},
enabled: true,
refresh_on_foreground: false,
rules: [
{
match: {env: 'production'},
set: {defaultPrivacyLevel: 'mask', sessionReplaySampleRate: 0, sessionSampleRate: 5}
}
]
},
reason: 'Q4 上线前收紧回放采样'
})
};
fetch('https://api.flashcat.cloud/rum/application/remote-config/update?app_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"version": 8
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InvalidParameter",
"message": "The specified parameter is not valid."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "Unauthorized",
"message": "You are unauthorized."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "RequestTooFrequently",
"message": "Request too frequently."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}{
"error": {
"code": "InternalError",
"message": "We encountered an internal error, and it has been reported. Please try again later."
},
"request_id": "01HK8XQE3Z7JM2NTFQ5YJ8P9R4"
}应用管理
更新远程配置
为 RUM 应用发布一个全新的远程配置版本。
POST
/
rum
/
application
/
remote-config
/
update
更新远程配置
限制说明
| 项目 | 说明 |
|---|---|
| 速率限制 | 每个账户 300 次/分钟;20 次/秒 |
| 权限要求 | 应用管理(rum) |
使用说明
- 必须提交完整配置对象而非增量补丁——规则顺序即优先级,部分更新没有无歧义的解释。
- 每次调用都会分配新版本号,并在同一事务中写入历史记录。
- 发布前可先调用
POST /rum/application/remote-config/preview验证客户端将拿到的值。
授权
在 Flashduty 控制台 账户 → APP Key 中签发的 app_key。调用任何公开 API 时都必须携带。它等同于所属账户的身份凭证,请妥善保管。
请求体
application/json
此页面对您有帮助吗?